`timescale 1ns / 1ps
module led_blink_ap
   (ap_clk,
    ap_return,
    ap_rst,
   /* count_max ,
    led_off_count,
    led_on_count,
    start*/);
  input ap_clk;
  output [0:0]ap_return;
  input ap_rst;
  /*
  input [31:0]count_max;
  input [31:0]led_off_count;
  input [31:0]led_on_count;
  input [0:0]start;
  */

  wire ap_clk;
  wire [0:0]ap_return;
  wire ap_rst;
  wire [31:0]count_max=32'd99999999;
  wire [31:0]led_off_count=32'd49999999;
  wire [31:0]led_on_count=32'd0;
    
  led_blink led_blink_i
       (.ap_clk(ap_clk),
        .ap_return(ap_return),
        .ap_rst(ap_rst),
        .count_max(count_max),
        .led_off_count(led_off_count),
        .led_on_count(led_on_count));
        
endmodule